/* enter.sh -- LZO assembler stuff

   This file is part of the LZO real-time data compression library.

   Copyright (C) 1996 Markus Franz Xaver Johannes Oberhumer

   The LZO library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   The LZO library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with the LZO library; see the file COPYING.LIB.
   If not, write to the Free Software Foundation, Inc.,
   675 Mass Ave, Cambridge, MA 02139, USA.

   Markus F.X.J. Oberhumer
   markus.oberhumer@jk.uni-linz.ac.at
 */


/***********************************************************************
//
************************************************************************/

        pushl   %ebp
        pushl   %esi
        pushl   %edi
        pushl   %ebx
        subl    $8,%esp

        cld

        movl    INP,%esi
        movl    OUTP,%edi
#if defined(N_255_EBP)
        movl    $255,%ebp
#endif
#if defined(LZO_TEST_DECOMPRESS_OVERRUN_INPUT)
        movl    %esi,%eax
        addl    INS,%eax
        subl    $3,%eax         /* lenght of EOF code */
        movl    %eax,INEND
#endif
#if defined(LZO_TEST_DECOMPRESS_OVERRUN_OUTPUT)
        movl    %edi,%eax
        movl    OUTS,%edx
        addl    (%edx),%eax
        movl    %eax,OUTEND
#endif


/*
vi:ts=4
*/

